﻿using UnityEngine;
using System.Collections;

public class TrampolineController : MonoBehaviour {

    private float[] Positions = { -5.0f, -1.6f, 1.8f };
    private int CurrentPositionIndex = 0;

	// Use this for initialization
	void Start () {
        CurrentPositionIndex = 0;
	
	}

	// Update is called once per frame
	void Update () {

        if (Input.GetButtonDown("Left"))
        {
            if (CurrentPositionIndex > 0)
                CurrentPositionIndex -= 1;
        }

        if (Input.GetButtonDown("Right"))
        {
            if (CurrentPositionIndex < Positions.Length - 1)
                CurrentPositionIndex += 1;
        }

        gameObject.transform.position = new Vector3(Positions[CurrentPositionIndex], gameObject.transform.position.y, gameObject.transform.position.z);
    }
}
