﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UIUpdate : MonoBehaviour {

    private Text textFoodEaten = null;
	// Use this for initialization
	void Start () {

        GameObject foodEatenTextObject = gameObject.transform.FindChild("FoodEaten").gameObject;
        if (foodEatenTextObject != null)
        {
            textFoodEaten = foodEatenTextObject.GetComponent<Text>();
        }
	}
	
	// Update is called once per frame
	void Update () {
        if (textFoodEaten != null)
        {
            textFoodEaten.text = PlayerStats.GetInstance().FoodConsumed.ToString();
        }
	
	}
}
